Subject: Re: g++ newer version
From: "Gerrit P. Haase" <[email-masked]>
To: Danny Smith <[email-masked]>
Cc: [email-masked]
Date: Fri, 2 May 2003 19:47:21 +0200

Hallo Danny,

>>> I suspect the latter.  You can help out by taking the set of patches to
>>> the current Cygwin gcc package and tweaking them to apply to gcc 3.2.3
>> 
>> Where do I get these patches?
>> 
> This may help.

> The mingw source and patchset for gcc 3.2.3 at mingw download page
> https://sourceforge.net/project/showfiles.php?group_id=2435
> (look in release candidate section) also boostraps with target=cygwin (or it
> did a week or so ago). 

Thanks.

> It contains all the patches in the cygwin-mingw-v2 CVS branch updated
> to 3.2.3, plus a few tweaks to the -mno-cygwin business as per the gcc
> trunk CVS,

> I plan to upload a final version of 3.2.3 for mingw next week
> (after mingw user feedback)

I get this error now when c++filt.exe is linked:

rm -f cxxmain.c
ln -s /winsup/src/gcc/../libiberty/cplus-dem.c cxxmain.c
gcc -c -DMAIN -DIN_GCC    -O2 -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wtraditional -pedantic -Wno-long-long  -DHAVE_CONFIG_H    -I. -I. -I/winsup/src/gcc -I/winsup/src/gcc/. -I/winsup/src/gcc/config -I/winsup/src/gcc/../include \
  -DVERSION=\"3.2.3\" cxxmain.c
gcc -o c++filt.exe -DIN_GCC    -O2 -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wtraditional -pedantic -Wno-long-long  -DHAVE_CONFIG_H  \
  cxxmain.o underscore.o -lintl  -liconv  ../libiberty/libiberty.a
/bin/../lib/gcc-lib/i686-pc-cygwin/3.2/../../../libcygwin.a(libcmain.o)(.text+0x69): undefined reference to `_WinMain@16'
collect2: ld returned 1 exit status

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/